<div class="container" *ngIf="authService.isLogged | async ">

    <ng-container *ngIf="isAdministrador || isDisenador">
        <mat-toolbar>
            <span>Lista de Tareas del flujo: </span> &nbsp;
            <span style="text-transform: uppercase; color: brown;" >{{getNombreFlujo()}}</span>
            <div class="example-spacer"></div>
             <button mat-raised-button color="accent" routerLink="/listarFlujos">Volver</button> 
        </mat-toolbar>
    
        <mat-form-field appearance="standard">
            <mat-label>Filter</mat-label>
            <input matInput (keyup)="applyFilter($event)" placeholder="Ex. ium" #input autocomplete="off">
        </mat-form-field>
    
        <div class="mat-elevation-z8">
            <table mat-table [dataSource]="dataSource" matSort>
    
                <!-- Position Column -->
                <ng-container matColumnDef="id_tarea_flujo" >
                    <th mat-header-cell *matHeaderCellDef mat-sort-header> ID </th>
                    <td mat-cell *matCellDef="let element"> {{element.id_tarea_flujo}} </td>
                </ng-container>

                <!-- Name Column 
                <ng-container matColumnDef="id_flujo_trabajo">
                    <th mat-header-cell *matHeaderCellDef mat-sort-header> Nombre Flujo </th>
                    <td mat-cell *matCellDef="let element"> {{element.id_flujo_trabajo}} </td>
                </ng-container>
                -->
        
                <!-- Weight Column -->
                <ng-container matColumnDef="id_tarea">
                    <th mat-header-cell *matHeaderCellDef mat-sort-header> Descripcion flujo </th>
                    <td mat-cell *matCellDef="let element"> {{element.id_tarea}} </td>
                </ng-container>
        
                <!-- Weight Column -->
                <ng-container matColumnDef="nombre_tarea">
                    <th mat-header-cell *matHeaderCellDef mat-sort-header> Nombre Tarea </th>
                    <td mat-cell *matCellDef="let element"> {{element.tarea.nombre_tarea}} </td>
                </ng-container>

                <!-- Weight Column -->
                <ng-container matColumnDef="descripcion_tarea">
                    <th mat-header-cell *matHeaderCellDef mat-sort-header> Descripcion Tarea </th>
                    <td mat-cell *matCellDef="let element"> {{element.tarea.descripcion_tarea}} </td>
                </ng-container>
        
               

                <ng-container matColumnDef="acciones">
                    <th mat-header-cell *matHeaderCellDef> </th>
                    <td mat-cell *matCellDef="let element;" style="text-align: right;">
                        <!--
                        <a class="pointer" style="color: black;" matTooltip="Ver">
                            <mat-icon>search</mat-icon>
                        </a>
                        &nbsp;
                        <a class="pointer" matTooltip="Agregar Tarea"(click)="crearTareaFlujo(element.id_flujo_trabajo)">
                            <mat-icon color="primary">library_add</mat-icon>
                        </a>
                        &nbsp;
                        <a class="pointer" (click)="listarTareasFlujo(element.id_flujo_trabajo)"
                            matTooltip="Listar Tareas">
                            <mat-icon> format_list_numbered</mat-icon>
                        </a>
                        &nbsp;
                        <a class="pointer" (click)="editarFlujosDeTrabajos(element.id_flujo_trabajo)"  matTooltip="Editar Flujo">
                            <mat-icon color="accent">edit</mat-icon>
                        </a>
                        &nbsp;
                        <a class="pointer" (click)="eliminarFlujosDeTrabajos(element.id_flujo_trabajo)" matTooltip="Eliminar Flujo">
                            <mat-icon color="warn">delete</mat-icon>
                        </a>
                        -->
        
                    </td>
                </ng-container>
        
                <tr mat-header-row *matHeaderRowDef="displayedColumns"></tr>
                <tr mat-row *matRowDef="let row; columns: displayedColumns;"></tr>
            </table>
            <mat-paginator [pageSizeOptions]="[5, 10, 25, 100]" aria-label="Select page of users"></mat-paginator>
        </div>
    
    </ng-container>

    
</div>
